/*
 * die.c
 * (C) Christian Magnusson 2000, Email: d1mag@dtek.chalmers.se
 * This program is copyright, and covered by the Gnu Public License.
 * The Q bot.
 */

#include <stdio.h>
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#include "settings.h"
#include "bottypes.h"
#include "globals.h"
#include "dl.h"

void m_die(char *a);

MODULE_PUBLIC int _init_die(void *a, void *b)
{
  dl_command_entry_t *dl = a;
  if(!a) return 0;

  snprintf(dl->help, MAX_COMMAND_HELP_LEN,
	   "/msg %s DIE\nTerminates bot at once, without saving the user & channel database.\n"
	   , BOT_NAME);
  snprintf(dl->summary, MAX_COMMAND_SUMMARY_LEN,
	   "Terminate bot");
  dl->level = 990;
#if 0
  dl->func = m_die;
#else
  dl->func = (void (*)(char*)) DL_sym(dl->val, "m_die");
#endif
  return 1;
}

MODULE_PUBLIC int _remove_die(char *a, char *b)
{
  remove_command("die");
  return 1;
}

MODULE_PUBLIC void m_die(char *a)
{
  struct dbaseuser *db;
  db = sender_au->dbuser;
  if(db) {
    log("From: %s die\n", db->nick);
  } else
    return;
  if(!is_oper()) {
    say_sender("You are not an Oper.");
    log("To: %s Is not an Oper\n", db->nick);
    return;
  }
  say_sender_( "Terminating %s at once... bye", BOT_NAME);
  exit(0);
}
